<template>
    <div class="my-upload-files">
        <van-cell-group>
            <van-field>
            <div slot="input">
                <custom-uploader ref="ddd" v-model="kamu" :max="10" v-if="rerender"/>
            </div>
            </van-field>
        </van-cell-group>
        <van-cell-group>
            <van-cell>
                <van-button type="primary" @click="uploadFiles" :disabled="uploading">上传文件</van-button>
            </van-cell>
        </van-cell-group>
        <van-cell-group>
            <van-pull-refresh v-model="refreshing" @refresh="onRefresh">
            <van-list
                v-model="loading"
                :finished="finished"
                finished-text=""
                @load="getDataLists"
            >
                  <van-cell v-for="(item,index) in fileLists" :key="index" :title="item.original_name" :value="item.created_at" />
            </van-list>
            </van-pull-refresh>
        </van-cell-group>
        <van-cell-group center v-if="showNextButton">
            <van-cell center>
            <van-button type="primary" @click="nextData">Load</van-button>                
            </van-cell>
        </van-cell-group>
    </div>
</template>
<script>
import customUploader from '@/components/customUploader'
export default {
    name: 'uploadFiles',
    components: { customUploader },
    data () {
        return {
            kamu:[],
            fileLists: [],
            m_pageInfo: {
                limit: 10,
                page: 1,
            },
            loading: false,
            uploading: false,
            finished: false,
            refreshing: false,
            showNextButton: false,
            rerender: true,
        }
    },
    methods: {
        uploadFiles () {
            this.uploading = true
            this.m_toast("Uploading");
            let formData = new FormData();
            let files = this.$refs.ddd.getFiles();
            files.map((item) => {
                formData.append('files[]',item.file)
            })
            this.$http.post('api/user/upload-file/upload',formData)
                .then((resp) => {
                    this.m_toast("Upload success")
                    this.rerender = false
                    this.$nextTick(() => this.rerender = true)
                    this.reLoadList()
                    // this.$forceUpdate();
                    // this.$router.go('index/upload')
                })
                .catch((err) => console.log(err))
                .finally((er) => this.uploading = false)
        },
        getDataLists () {
            this.$http.post('api/user/upload-file/index',this.m_pageInfo)
            .then((resp) => {
                let data = resp.data.data
                let total = resp.data.total
                this.loading = false
                data.forEach(element => {
                    console.log(element)
                    this.fileLists.push(element)
                });
                this.finished = true
                if (this.fileLists.length >= total) {
                    this.showNextButton = false                
                } else
                {
                    this.showNextButton = true                
                }
            })
        },
        reLoadList() {
            this.fileLists = []
            this.m_pageInfo.page = 1
            this.getDataLists()
        },
        onRefresh() {
            this.loading = true
            this.finished = false
            this.m_pageInfo.page++
            this.getDataLists()
        },
        nextData () {
            this.loading = true
            this.finished = false
            this.m_pageInfo.page++
            this.getDataLists()
        }
    }

}
</script>
<style lang="scss" scoped>

</style>